#ifndef FRAMEOBJ_H
#define FRAMEOBJ_H

#include "mapobj.h"

enum FrameType {NoFrame,Rectangle,Ellipse};

class FrameObj:public MapObj {
public:
    FrameObj();
    FrameObj(QGraphicsScene*);
    ~FrameObj();
    void init();
    void clear();
    void move (double x,double y);    // move to absolute Position
    void moveBy (double x,double y);  // move to relative Position
	void positionBBox();			 
	void calcBBoxSize();			
	void setRect (const QRectF &);	  // set dimensions			
    int getBorder();
    FrameType getFrameType ();
    QString getFrameTypeName ();
    void setFrameType (const FrameType &);
    void setFrameType (const QString &);
	void setPenColor (QColor);
	QColor getPenColor ();
	void setBrushColor (QColor);
	QColor getBrushColor ();
	void repaint();
    void setVisibility(bool);
	QString saveToDir ();

private:
    FrameType type;
    QGraphicsRectItem * rectFrame;
    QGraphicsEllipseItem * ellipseFrame;
    int border;									// distance text - frame
	QColor penColor;
	QColor brushColor;
};
#endif

